Get trades activity code list

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /projects/{projectId}/scenarios/{scenarioId}/trades/activity-code-list

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]
  • dataDate string
  • activityCodeColumns array[string] Required

    Values are START_DATE, END_DATE, DURATION, TOTAL_FLOAT, CURRENT_FORECAST_FINISH, START_VARIANCE, FINISH_VARIANCE, RISK_INDEX, DURATION_VARIANCE, DURATION_VARIANCE_PERCENT, SUCCESSORS, PREDECESSORS, SPI, PLANNED_VS_ACTUAL, INTERCONNECTIONS, or REMAINING_ACTIVITIES.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • activityCodeId integer(int64)
    • activityCodeName string
    • values object

      Additional properties are allowed.

GET /projects/{projectId}/scenarios/{scenarioId}/trades/activity-code-list
curl \
 --request GET 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/trades/activity-code-list?activityCodeColumns=START_DATE' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "activityCodeId": 42,
    "activityCodeName": "string",
    "values": {}
  }
]